Subject: [Bitcoin-development] Some state/data file info

From: grarpamp <[email-masked]>
Date: Thu, 9 Feb 2012 21:33:38 -0500

I've been playing with the tools in db 4.8.30, and bitcoin stable...
My blockchain is up to date. Bitcoin is not running.

#  strings database/*
This will at times yield the addresses in your wallet.
So it's not exactly in compliance with 'only your wallet file matters'.

Bitcoin always leaves behind at least one "database/log.nnn" file.
Shouldn't it roll and delete it on exit like it does the other state files?
Particularly after a simple "we're able to do nothing but local
operations" invocation
like: bitcoind -proxy=127.0.0.1:9050 -keypool=0 -connect=127.0.0.1
-nodnsseed -noirc

Similarly, the ".lock" file is never deleted.
Shouldn't it be upon exit?

Vacuuming addr, blkindex, and wallet with "db_dump | db_load" will save
significant space. I do not yet know how to view or validate blk0001.dat.

When left with junk, I've been removing everything except:
addr.dat - node addresses
bitcoin.conf - config
blk0001.dat - blocks
blkindex.dat - index to blocks
wallet.dat - wallet